/*
 * AVISA software - $Id: ImportMetopProduct.java,v 1.2 2006/03/13 14:02:05 marcoz Exp $
 *
 * Copyright (C) 2005 by EUMETSAT
 *
 * The Licensee acknowledges that the AVISA software is owned by the European
 * Organisation for the Exploitation of Meteorological Satellites
 * (EUMETSAT) and the Licensee shall not transfer, assign, sub-licence,
 * reproduce or copy the AVISA software to any third party or part with
 * possession of this software or any part thereof in any way whatsoever.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.
 * The AVISA software has been developed using the ESA BEAM software which is
 * distributed under the GNU General Public License (GPL).
 *
 */
package org.eumetsat.beam.visat;

import org.esa.beam.visat.AbstractProductImportPlugIn;
import org.eumetsat.beam.dataio.metop.MetopReaderPlugIn;

/**
 * A VISAT plugin which allows for reading METOP AVHRR/3 data.
 */
public class ImportMetopProduct extends AbstractProductImportPlugIn {

    public static final String COMMAND_ID = "importMetopAvhrr3L1Product";

    public ImportMetopProduct() {
        super(COMMAND_ID, MetopReaderPlugIn.FORMAT_NAME, true);
    }
    
    /* (non-Javadoc)
     * @see org.esa.beam.visat.AbstractProductImportPlugIn#initPlugInImpl()
     */
    protected void initPlugInImpl() {
    	super.initPlugInImpl();
    	
    	getCommand().setText("METOP-AVHRR/3 Level-1b Product (or Subset)...");
        getCommand().setShortDescription("Import a METOP-AVHRR/3 Level-1b data product or product subset.");
        getCommand().setLongDescription("Import a METOP-AVHRR/3 Level-1b data product or product subset.");
    }
}
